import { useState } from "react";
import { Container, Stack, Button } from "react-bootstrap";

import { socket } from "../socket";

const Pregame = () => {
  const [loading, setLoading] = useState(false);
  return (
    <Container>
      <Stack gap={3} className="text-center">
        <span>
          <Button
            disabled={loading}
            onClick={() => {
              socket.emit("host-start");
              setLoading(true);
            }}
          >
            {loading ? "Loading..." : "Start Game"}
          </Button>
        </span>
      </Stack>
    </Container>
  );
};

export default Pregame;
